LexScan

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class LexScan

    java.lang.Object
      weka.core.parser.JFlex.LexScan

All Implemented Interfaces:
  Scanner, sym

    public final class LexScan

extends java.lang.Object
implements sym, Scanner

The lexer of JFlex. Generated by JFlex.

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:11 $
Author:
  Gerwin Klein

Field Summary
`static int` | `CHARCLASS`
`static int` | `COMMENT`
`static int` | `COPY`
`static int` | `EATWSPNL`
`static int` | `JAVA_CODE`
`static int` | `MACROS`
`static int` | `REGEXP`
`static int` | `REGEXPSTART`
`static int` | `REPEATEXP`
`static int` | `STATELIST`
`static int` | `STATES`
`static int` | `STRING_CONTENT` lexical states
`static int` | `YYEOF` This character denotes the end of file
`static int` | `YYINITIAL`

Fields inherited from interface weka.core.parser.JFlex.sym
`ACTION, BANG, BAR, CCLASS, CCLASSNOT, CHAR, CHAR_I, CLOSEBRACKET, CLOSECLASS, COMMA, CONCAT, DASH, DELIMITER, DIGITCLASS, DOLLAR, EOF, EOFRULE, EQUALS, error, FULL, HAT, IDENT, JLETTERCLASS, JLETTERDIGITCLASS, LBRACE, LESSTHAN, LETTERCLASS, LOOKAHEAD, LOWERCLASS, MACROUSE, MORETHAN, NOACTION, OPENBRACKET, OPENCLASS, PLUS, POINT, QUESTION, RBRACE, REGEXPEND, REPEAT, STAR, STRING, STRING_I, TILDE, UNICODE, UPPERCLASS, USERCODE`

Constructor Summary
`LexScan(java.io.InputStream in)` Creates a new scanner.
`LexScan(java.io.Reader in)` Creates a new scanner There is also a java.io.InputStream version of this constructor.

Method Summary
`static java.lang.String` | `conc(java.lang.Object a, java.lang.Object b)`
`static java.lang.String` | `concExc(java.lang.Object a, java.lang.Object b)`
`int` | `currentLine()`
`Symbol` | `debug_next_token()` Same as next_token but also prints the token to standard out for debugging.
`static void` | `main(java.lang.String[] argv)` Runs the scanner on input files.
`Symbol` | `next_token()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
`void` | `setFile(java.io.File file)`
`void` | `yybegin(int newState)` Enters a new lexical state
`char` | `yycharat(int pos)` Returns the character at position `pos` from the matched text.
`void` | `yyclose()` Closes the input stream.
`int` | `yylength()` Returns the length of the matched text region.
`boolean` | `yymoreStreams()` Returns true iff there are still streams left to read from on the stream stack.
`void` | `yypopStream()` Closes the current input stream and continues to read from the one on top of the stream stack.
`void` | `yypushback(int number)` Pushes the specified amount of characters back into the input stream.
`void` | `yypushStream(java.io.Reader reader)` Stores the current input stream on a stack, and reads from a new stream.
`void` | `yyreset(java.io.Reader reader)` Resets the scanner to read from a new input stream.
`int` | `yystate()` Returns the current lexical state.
`java.lang.String` | `yytext()` Returns the text matched by the current regular expression.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YYEOF

    public static final int YYEOF

  This character denotes the end of file

  See Also:
    Constant Field Values

### STRING_CONTENT

    public static final int STRING_CONTENT

  lexical states

  See Also:
    Constant Field Values

### REGEXPSTART

    public static final int REGEXPSTART

See Also:
  Constant Field Values

### MACROS

    public static final int MACROS

See Also:
  Constant Field Values

### STATELIST

    public static final int STATELIST

See Also:
  Constant Field Values

### EATWSPNL

    public static final int EATWSPNL

See Also:
  Constant Field Values

### CHARCLASS

    public static final int CHARCLASS

See Also:
  Constant Field Values

### JAVA_CODE

    public static final int JAVA_CODE

See Also:
  Constant Field Values

### REGEXP

    public static final int REGEXP

See Also:
  Constant Field Values

### YYINITIAL

    public static final int YYINITIAL

See Also:
  Constant Field Values

### REPEATEXP

    public static final int REPEATEXP

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### STATES

    public static final int STATES

See Also:
  Constant Field Values

### COPY

    public static final int COPY

See Also:
  Constant Field Values

Constructor Detail

### LexScan

    public LexScan(java.io.Reader in)

  Creates a new scanner There is also a java.io.InputStream version of this constructor.

  Parameters:
    `in` - the java.io.Reader to read input from.

### LexScan

    public LexScan(java.io.InputStream in)

  Creates a new scanner. There is also java.io.Reader version of this constructor.

  Parameters:
    `in` - the java.io.Inputstream to read input from.

Method Detail

### currentLine

    public int currentLine()

### setFile

    public void setFile(java.io.File file)

### conc

    public static java.lang.String conc(java.lang.Object a,
                                        java.lang.Object b)

### concExc

    public static java.lang.String concExc(java.lang.Object a,
                                           java.lang.Object b)

### yyclose

    public final void yyclose()
                       throws java.io.IOException

  Closes the input stream.

  Throws:
    `java.io.IOException`

### yypushStream

    public final void yypushStream(java.io.Reader reader)

  Stores the current input stream on a stack, and reads from a new stream. Lexical state, line, char, and column counting remain untouched. The current input stream can be restored with yypopstream (usually in an <> action).

  Parameters:
    `reader` - the new input stream to read from
  See Also:
    `yypopStream()`

### yypopStream

    public final void yypopStream()
                           throws java.io.IOException

  Closes the current input stream and continues to read from the one on top of the stream stack.

  Throws:
    `java.util.EmptyStackException` - if there is no further stream to read from.
    `java.io.IOException` - if there was an error in closing the stream.
  See Also:
    `yypushStream(java.io.Reader)`

### yymoreStreams

    public final boolean yymoreStreams()

  Returns true iff there are still streams left to read from on the stream stack.

### yyreset

    public final void yyreset(java.io.Reader reader)

  Resets the scanner to read from a new input stream. Does not close the old reader. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `ZZ_INITIAL`.

  Parameters:
    `reader` - the new input stream
  See Also:
    `yypushStream(java.io.Reader)`, `yypopStream()`

### yystate

    public final int yystate()

  Returns the current lexical state.

### yybegin

    public final void yybegin(int newState)

  Enters a new lexical state

  Parameters:
    `newState` - the new lexical state

### yytext

    public final java.lang.String yytext()

  Returns the text matched by the current regular expression.

### yycharat

    public final char yycharat(int pos)

  Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster

  Parameters:
    `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
  Returns:
    the character at position pos

### yylength

    public final int yylength()

  Returns the length of the matched text region.

### yypushback

    public void yypushback(int number)

  Pushes the specified amount of characters back into the input stream. They will be read again by then next call of the scanning method

  Parameters:
    `number` - the number of characters to be read again. This number must not be greater than yylength()!

### next_token

    public Symbol next_token()
                      throws java.io.IOException

  Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.

  Specified by:
    `next_token` in interface `Scanner`
  Returns:
    the next token
  Throws:
    `java.io.IOException` - if any I/O-Error occurs

### debug_next_token

    public Symbol debug_next_token()
                            throws java.io.IOException

  Same as next_token but also prints the token to standard out for debugging. This code was contributed by Karl Meissner

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] argv)

  Runs the scanner on input files. This main method is the debugging routine for the scanner. It prints debugging information about each returned token to System.out until the end of file is reached, or an error occured.

  Parameters:
    `argv` - the command line, contains the filenames to run the scanner on.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD